Name:		xev
Version:	1.2.5
Release:	%mkrel 1
Summary:	Print contents of X events
Group:		Development/X11
Source:		https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
License:	MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: pkgconfig(xrandr)

%description
Xev creates a window and then asks the X server to send it events whenever
anything happens to the window (such as it being moved, resized, typed in,
clicked in, etc.). It is useful for testing input devices.

%prep
%setup -q

%build
%configure --x-includes=%{_includedir}\
           --x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%{_bindir}/xev
%{_mandir}/man1/xev.*


%changelog
* Thu Jul 21 2022 tv <tv> 1.2.5-1.mga9
+ Revision: 1869787
- 1.2.5

* Wed Mar 23 2022 umeabot <umeabot> 1.2.4-2.mga9
+ Revision: 1820330
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 luigiwalser <luigiwalser> 1.2.4-1.mga8
+ Revision: 1611009
- 1.2.4

* Fri Feb 14 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1523107
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 tv <tv> 1.2.3-1.mga7
+ Revision: 1369062
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-3.mga7
+ Revision: 1301847
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.2.2-2.mga6
+ Revision: 959248
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 1.2.2-1.mga6
+ Revision: 857293
- 1.2.2

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 750915
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-3.mga5
+ Revision: 690595
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 522155
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.2.1-1.mga3
+ Revision: 396970
- 1.2.1

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 386768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 tv <tv> 1.2.0-1.mga2
+ Revision: 211821
- BuildRequires libxrandr-devel
- new release

* Thu Jan 20 2011 pterjan <pterjan> 1.1.0-1.mga1
+ Revision: 26611
- imported package xev

